Package ghidra.trace.model.symbol

# Interface TraceOffsetReference

All Superinterfaces:
  `Comparable<Reference>`, `OffsetReference`, `Reference`, `TraceReference`

All Known Implementing Classes:
  `DBTraceOffsetReference`

public interface TraceOffsetReference extends TraceReference, OffsetReference

- ## Field Summary

  ### Fields inherited from interface ghidra.program.model.symbol.Reference

  `MNEMONIC, OTHER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default Address`
  `getToAddress()`
  Returns Get the "to" address for this reference..
  `default boolean`
  `isOffsetReference()`
  Returns Returns true if this reference is an instance of OffsetReference..

  ### Methods inherited from interface ghidra.program.model.symbol.OffsetReference

  `getBaseAddress, getOffset`

  ### Methods inherited from interface ghidra.program.model.symbol.Reference

  `getFromAddress, getOperandIndex, getReferenceType, getSource, getSymbolID, isPrimary`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceReference

  `clearAssociatedSymbol, compareTo, delete, getAssociatedSymbol, getLifespan, getStartSnap, getToRange, getTrace, isEntryPointReference, isExternalReference, isMemoryReference, isMnemonicReference, isOperandReference, isRegisterReference, isShiftedReference, isStackReference, setAssociatedSymbol, setPrimary, setReferenceType`

- ## Method Details

  - ### isOffsetReference

    default boolean isOffsetReference()
    Description copied from interface: `Reference`
    Returns Returns true if this reference is an instance of OffsetReference..
    Specified by:
      `isOffsetReference` in interface `Reference`
    Specified by:
      `isOffsetReference` in interface `TraceReference`
    Returns:
      Returns true if this reference is an instance of OffsetReference.

  - ### getToAddress

    default Address getToAddress()
    Description copied from interface: `TraceReference`
    Returns Get the "to" address for this reference..

    For a trace reference, the "to" part is actually a range. This returns the minimum address of that range.

    Specified by:
      `getToAddress` in interface `OffsetReference`
    Specified by:
      `getToAddress` in interface `Reference`
    Specified by:
      `getToAddress` in interface `TraceReference`
    Returns:
      Get the "to" address for this reference.
    See Also:
      - `TraceReference.getToRange()`